nn.pp.rccore

## Class VMMountRequestResponse

- java.lang.Object
- - nn.pp.rccore.VMMountRequestResponse

- All Implemented Interfaces:
    IVMMountRequestResponse

      public class VMMountRequestResponse
      extends java.lang.Object
      implements IVMMountRequestResponse

- - ### Field Summary

    - ### Fields inherited from interface nn.pp.rccore.IVMMountRequestResponse

      `CONNECT, DISCONNECT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VMMountRequestResponse(int option, int index, int retCode)`
    `VMMountRequestResponse(int option, int index, java.lang.String user, java.lang.String password, java.lang.String host, java.lang.String image)`
    `VMMountRequestResponse(IVMMountRequestResponse parent)`
    `VMMountRequestResponse(java.lang.String host, java.lang.String image)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getHost()` Get the host name for the Windows share
    `java.lang.String` | `getImage()` Get the path to the ISO image on the Windows share
    `int` | `getIndex()` Get the mass-storage Index for the operation
    `int` | `getOption()` Get the request type (`CONNECT` or `DISCONNECT`).
    `java.lang.String` | `getPassword()` Get the password for the Windows share
    `int` | `getRetCode()` Get the return code of a remote ISO operation.
    `java.lang.String` | `getUser()` Get the user name for the Windows share
    `void` | `setOption(int opt)` Set the request type (`CONNECT` or `DISCONNECT`).
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VMMountRequestResponse

          public VMMountRequestResponse(java.lang.String host,
                                        java.lang.String image)

    - #### VMMountRequestResponse

          public VMMountRequestResponse(int option,
                                        int index,
                                        java.lang.String user,
                                        java.lang.String password,
                                        java.lang.String host,
                                        java.lang.String image)

    - #### VMMountRequestResponse

          public VMMountRequestResponse(int option,
                                        int index,
                                        int retCode)

    - #### VMMountRequestResponse

          public VMMountRequestResponse(IVMMountRequestResponse parent)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getOption

          public int getOption()

      Description copied from interface: `IVMMountRequestResponse`
      Get the request type (`CONNECT` or `DISCONNECT`).
      Specified by:
        `getOption` in interface `IVMMountRequestResponse`
      Returns:
        the request type

    - #### setOption

          public void setOption(int opt)

      Description copied from interface: `IVMMountRequestResponse`
      Set the request type (`CONNECT` or `DISCONNECT`).
      Specified by:
        `setOption` in interface `IVMMountRequestResponse`
      Parameters:
        `opt` - the request type

    - #### getIndex

          public int getIndex()

      Description copied from interface: `IVMMountRequestResponse`
      Get the mass-storage Index for the operation
      Specified by:
        `getIndex` in interface `IVMMountRequestResponse`
      Returns:
        the mass-storage Index for the operation

    - #### getUser

          public java.lang.String getUser()

      Description copied from interface: `IVMMountRequestResponse`
      Get the user name for the Windows share
      Specified by:
        `getUser` in interface `IVMMountRequestResponse`
      Returns:
        the user name for the Windows share

    - #### getPassword

          public java.lang.String getPassword()

      Description copied from interface: `IVMMountRequestResponse`
      Get the password for the Windows share
      Specified by:
        `getPassword` in interface `IVMMountRequestResponse`
      Returns:
        the password for the Windows share

    - #### getHost

          public java.lang.String getHost()

      Description copied from interface: `IVMMountRequestResponse`
      Get the host name for the Windows share
      Specified by:
        `getHost` in interface `IVMMountRequestResponse`
      Returns:
        the host name for the Windows share

    - #### getImage

          public java.lang.String getImage()

      Description copied from interface: `IVMMountRequestResponse`
      Get the path to the ISO image on the Windows share
      Specified by:
        `getImage` in interface `IVMMountRequestResponse`
      Returns:
        the path to the ISO image on the Windows share

    - #### getRetCode

          public int getRetCode()

      Description copied from interface: `IVMMountRequestResponse`
      Get the return code of a remote ISO operation. This is only used for `VirtualMediaInfoListener.remoteIsoMountFinished(IVMMountRequestResponse)`.
      Specified by:
        `getRetCode` in interface `IVMMountRequestResponse`
      Returns:
        the return code of a remote ISO operation

Copyright © 2025 Raritan Inc. All Rights Reserved.